# mdsvex

## 0.12.2

### Patch Changes

- [#630](https://github.com/pngwn/MDsveX/pull/630) [`157d9a3`](https://github.com/pngwn/MDsveX/commit/157d9a3e05ad08dfec2837828e11c19f6941f66c) Thanks [@pngwn](https://github.com/pngwn)! - Fix the builds

## 0.12.1

### Patch Changes

- [#628](https://github.com/pngwn/MDsveX/pull/628) [`b1fc10b`](https://github.com/pngwn/MDsveX/commit/b1fc10bbcc870ff57668a0627872701926070cd4) Thanks [@pngwn](https://github.com/pngwn)! - fix exports

## 0.12.0

### Minor Changes

- [#617](https://github.com/pngwn/MDsveX/pull/617) [`623b182`](https://github.com/pngwn/MDsveX/commit/623b18277b867a7b088951609710af871c9b9e56) Thanks [@benmccann](https://github.com/benmccann)! - add exports map to package.json and cleanup build output.

### Patch Changes

- [#612](https://github.com/pngwn/MDsveX/pull/612) [`91ef99f`](https://github.com/pngwn/MDsveX/commit/91ef99f9e95f6014243deadbbdcc13aac24079f8) Thanks [@moiri-gamboni](https://github.com/moiri-gamboni)! - Fix typescript module declaration to resolve errors when importing markdown files as components

## 0.11.2

### Patch Changes

- [#604](https://github.com/pngwn/MDsveX/pull/604) [`82553e0`](https://github.com/pngwn/MDsveX/commit/82553e02ab06b40a1650632865e076d0ad4d6ea4) Thanks [@pngwn](https://github.com/pngwn)! - Update peerDeps for Svelte 5

## 0.11.1

### Patch Changes

- [#596](https://github.com/pngwn/MDsveX/pull/596) [`d238325`](https://github.com/pngwn/MDsveX/commit/d2383257d959c68ea5279fd3a8d22ec6d5a4504e) Thanks [@TheOnlyTails](https://github.com/TheOnlyTails)! - Infer the settings type when using unified plugins with settings

* [#591](https://github.com/pngwn/MDsveX/pull/591) [`1ff938c`](https://github.com/pngwn/MDsveX/commit/1ff938c9e9aa588486fb57f762a5356630549288) Thanks [@vnphanquang](https://github.com/vnphanquang)! - Allow more extensive extension filtering. For example, now `.md.svelte` is possible

- [#592](https://github.com/pngwn/MDsveX/pull/592) [`68c6df2`](https://github.com/pngwn/MDsveX/commit/68c6df2e97103119a2bb048588f43d4f0fad1493) Thanks [@vnphanquang](https://github.com/vnphanquang)! - Pass filename to highlighter

* [#603](https://github.com/pngwn/MDsveX/pull/603) [`ae41002`](https://github.com/pngwn/MDsveX/commit/ae410026fb51bcdb5577c324a4e4d87323a0e57b) Thanks [@pngwn](https://github.com/pngwn)! - Update peerDependencies to allow Svelte 5

## 0.11.0

### Minor Changes

- [#522](https://github.com/pngwn/MDsveX/pull/522) [`0d690dc`](https://github.com/pngwn/MDsveX/commit/0d690dcc98358aa33a2d9a12bb5f908bbbe8e8a4) Thanks [@pngwn](https://github.com/pngwn)! - The default code highlighter is now exported, for your convenience.

* [#520](https://github.com/pngwn/MDsveX/pull/520) [`d5191b6`](https://github.com/pngwn/MDsveX/commit/d5191b64f20a93adb1845435fa0244d2d29c63b4) Thanks [@flakolefluk](https://github.com/flakolefluk)! - Support Svelte v4.

## 0.10.6

### Patch Changes

- [#450](https://github.com/pngwn/MDsveX/pull/450) [`eb10fbd`](https://github.com/pngwn/MDsveX/commit/eb10fbda2d682593083369960afc018ae8fafc45) Thanks [@GauBen](https://github.com/GauBen)! - Escape script and style tags in frontmatter

## 0.10.5

### Patch Changes

- [#409](https://github.com/pngwn/MDsveX/pull/409) [`573cabb`](https://github.com/pngwn/MDsveX/commit/573cabbb24b61390bdae2ec517807ea9b54b6aad) Thanks [@PuruVJ](https://github.com/PuruVJ)! - Add defineConfig and ambient d.ts

## 0.10.4

### Patch Changes

- [#407](https://github.com/pngwn/MDsveX/pull/407) [`7dee856`](https://github.com/pngwn/MDsveX/commit/7dee856ea2e577dae3c32b1039e26d32c1a08847) Thanks [@pngwn](https://github.com/pngwn)! - make it work

## 0.10.3

### Patch Changes

- [#405](https://github.com/pngwn/MDsveX/pull/405) [`9d98465`](https://github.com/pngwn/MDsveX/commit/9d98465dce438efd520b069ae90b75fafe0f65db) Thanks [@pngwn](https://github.com/pngwn)! - Delete globals.d.ts

* [#403](https://github.com/pngwn/MDsveX/pull/403) [`5349992`](https://github.com/pngwn/MDsveX/commit/5349992078dbc9f3116089570465aec383934432) Thanks [@pngwn](https://github.com/pngwn)! - Revert 401 feat/defineconfig

## 0.10.2

### Patch Changes

- [#401](https://github.com/pngwn/MDsveX/pull/401) [`e3d6228`](https://github.com/pngwn/MDsveX/commit/e3d6228851d1e75f073687a4f7fa4ad72fcd246b) Thanks [@PuruVJ](https://github.com/PuruVJ)! - expose types, and defineMDSveXConfig

## 0.10.1

### Patch Changes

- [#399](https://github.com/pngwn/MDsveX/pull/399) [`814e8f6`](https://github.com/pngwn/MDsveX/commit/814e8f6f712fe6499c3fb71d895fe5f4430522ab) Thanks [@PuruVJ](https://github.com/PuruVJ)! - Fix globals.d.ts location

## 0.10.0

### Minor Changes

- [#396](https://github.com/pngwn/MDsveX/pull/396) [`c0cdf71`](https://github.com/pngwn/MDsveX/commit/c0cdf71915314c3c709cb616b7822c20f2954666) Thanks [@PuruVJ](https://github.com/PuruVJ)! - Add ambient Typings

## 0.9.8

### Patch Changes

- [#274](https://github.com/pngwn/MDsveX/pull/274) [`b253bb0`](https://github.com/pngwn/MDsveX/commit/b253bb0e402d109a62f8ad33f96943672d65cc1e) Thanks [@pngwn](https://github.com/pngwn)! - Custom highlight functions now receive the metastring as an additional argument.

## 0.9.7

### Patch Changes

- [#265](https://github.com/pngwn/MDsveX/pull/265) [`d1c1b4f`](https://github.com/pngwn/MDsveX/commit/d1c1b4f0a2b70fb09d3efb5f391ca12f717a0474) Thanks [@wlach](https://github.com/wlach)! - Escape code chunks in browser builds

## 0.9.6

### Patch Changes

- [#256](https://github.com/pngwn/MDsveX/pull/256) [`492b7a4`](https://github.com/pngwn/MDsveX/commit/492b7a4ad0eaf4274bdc83e629816644e56de643) Thanks [@pngwn](https://github.com/pngwn)! - Props passed to mdsvex documents will now be forwarded to layout files.

## 0.9.5

### Patch Changes

- [#253](https://github.com/pngwn/MDsveX/pull/253) [`8dc7900`](https://github.com/pngwn/MDsveX/commit/8dc790039a6b8f5f31f3e71bfc09c8d7a968cc95) Thanks [@pngwn](https://github.com/pngwn)! - There is now an ESM browser build in addition to UMD.

## 0.9.4

### Patch Changes

- [#251](https://github.com/pngwn/MDsveX/pull/251) [`3d8b400`](https://github.com/pngwn/MDsveX/commit/3d8b40039f3b096b609cdd358f3d56f9961c63e4) Thanks [@pngwn](https://github.com/pngwn)! - UMD build now works in the browser.

## 0.9.3

### Patch Changes

- [`2af50ee`](https://github.com/pngwn/MDsveX/commit/2af50ee80aeda5ca007b1046a8bb04523963ddc9) [#239](https://github.com/pngwn/MDsveX/pull/239) Thanks [@brev](https://github.com/brev)! - Standalone compile() function not returning headmatter attributes. Also export all types.

## 0.9.2

### Patch Changes

- [`0567e15`](https://github.com/pngwn/MDsveX/commit/0567e151ea29ea531b8f71496c46871add43dcbb) [#237](https://github.com/pngwn/MDsveX/pull/237) Thanks [@pngwn](https://github.com/pngwn)! - Fix "Cannot find module 'prism-svelte'" error.

## 0.9.1

### Patch Changes

- [`f458229`](https://github.com/pngwn/MDsveX/commit/f458229033aaee7a86bbba6004053f65441ac25c) [#234](https://github.com/pngwn/MDsveX/pull/234) Thanks [@pngwn](https://github.com/pngwn)! - mdsvex now exposes an `escapeSvelte` utility to help with escaping Svelte syntax in custom highlight functions.

* [`fe9b437`](https://github.com/pngwn/MDsveX/commit/fe9b43782d3cf5ea74b13d69aa82fbf0b0db4837) [#233](https://github.com/pngwn/MDsveX/pull/233) Thanks [@pngwn](https://github.com/pngwn)! - Language definitions for fenced code-blocks are now case insensitive.

- [`8c905ce`](https://github.com/pngwn/MDsveX/commit/8c905ce380e0a8fb0b755f9b3ed23224b0ed4866) [#231](https://github.com/pngwn/MDsveX/pull/231) Thanks [@pngwn](https://github.com/pngwn)! - Svelte syntax is now highlighted by default when using the default code highlighter.

## 0.9.0

### Minor Changes

- [`99da8fe`](https://github.com/pngwn/MDsveX/commit/99da8fe17882d55ecb7ec0d5a64ee6a592fc17bc) [#207](https://github.com/pngwn/MDsveX/pull/207) Thanks [@pngwn](https://github.com/pngwn)! - User-provided remark plugins that modify code nodes now run before the builtin in code highlighting, allowing for custom code transformations.

* [`aa8d825`](https://github.com/pngwn/MDsveX/commit/aa8d825a241b02a4387e2b034038b68d76ebe1b6) [#209](https://github.com/pngwn/MDsveX/pull/209) Thanks [@pngwn](https://github.com/pngwn)! - Asynchronous custom highlight functions are now supported.

## 0.8.9

### Patch Changes

- [`a4806af`](https://github.com/pngwn/MDsveX/commit/a4806af06edf2c756a0777cb42eb73edcd12abe7) [#187](https://github.com/pngwn/MDsveX/pull/187) Thanks [@wlach](https://github.com/wlach)! - Various small fixes to compile typechecking

* [`94d5c3e`](https://github.com/pngwn/MDsveX/commit/94d5c3ed6b09565319168e1befd4ca80c4a2b2eb) [#185](https://github.com/pngwn/MDsveX/pull/185) Thanks [@wlach](https://github.com/wlach)! - Fix calling mdsvex.compile with no options

## 0.8.8

### Patch Changes

- 5949714: Update licences
- 142933b: Update Licenses
- 08f9963: Update licences
- a79e29f: Add full licenses.
- ca179e6: Update licenses.
